MetricSetControllerAddElementToMetricSet Method |
POST /MetricSet/AddElement/{id}
Adds the specified element to the metric set.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("AddElement")]
public IActionResult AddElementToMetricSet(
Guid id,
[FromBodyAttribute] AddElementOptions options,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("AddElement")>
Public Function AddElementToMetricSet (
id As Guid,
<FromBodyAttribute> options As AddElementOptions,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"AddElement")]
IActionResult^ AddElementToMetricSet(
Guid id,
[FromBodyAttribute] AddElementOptions^ options,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("AddElement")>]
member AddElementToMetricSet :
id : Guid *
[<FromBodyAttribute>] options : AddElementOptions *
?sessionId : Nullable<Guid>
(* Defaults:
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id
- Type: SystemGuid
The ID of the metric set to add the element to. - options
- Type: Dundas.BI.WebApi.ModelsAddElementOptions
The options for adding this element to the metric set. - sessionId (Optional)
- Type: SystemNullableGuid
Current session ID.
Return Value
Type:
IActionResult
A
MetricSetData object containing the updated metric set data, or a status code indicating the problem.
See Also